namespace SIGCM2.Application.Auth.Login;

public sealed record LoginResponseDto(
    string AccessToken,
    string RefreshToken,
    int ExpiresIn,
    UsuarioDto Usuario
);

public sealed record UsuarioDto(
    int Id,
    string Username,        // UDT-008
    string Nombre,
    string Rol,
    string[] Permisos,
    bool MustChangePassword // UDT-008
);
